<template>
    <div class="form-check">
        <input type="checkbox" class="form-check-input" v-bind="$attrs" :checked="modelValue" @input="$emit('update:modelValue', $event.target.checked)" />
        <label class="form-check-label" :for="$attrs.id">
            <slot></slot>
        </label>
    </div>
</template>

<script>
    export default {
        inheritAttrs: false,
        
        props: ['modelValue'],
    }
</script>